<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4089
Name: Trauma Injury Observation Organizer
Description: Trauma Injury Observation Organizer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4089-2017-02-01T000000">
   <title>Trauma Injury Observation Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]
Item: (TraumaInjuryObservationOrganizer)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]
Item: (TraumaInjuryObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]"
         id="d120e3340-false-d100924e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@classCode)=('CLUSTER')">(TraumaInjuryObservationOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(TraumaInjuryObservationOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(TraumaInjuryObservationOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(TraumaInjuryObservationOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4089'])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4089'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4089'])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4089'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:templateId[@root='1.2.276.0.76.10.4089']
Item: (TraumaInjuryObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:templateId[@root='1.2.276.0.76.10.4089']"
         id="d120e3346-false-d101096e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TraumaInjuryObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4089')">(TraumaInjuryObservationOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4089' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(TraumaInjuryObservationOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (TraumaInjuryObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d120e3351-false-d101117e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TraumaInjuryObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="@nullFlavor or (@code='completed')">(TraumaInjuryObservationOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]
Item: (TraumaInjuryObservationOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(TraumaInjuryObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TraumaInjuryObservationOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TraumaInjuryObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TraumaInjuryObservationOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]]
Item: (TraumaInjuryObservationOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(TraumaInjuryObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TraumaInjuryObservationOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TraumaInjuryObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TraumaInjuryObservationOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]]
Item: (TraumaInjuryObservationOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(TraumaInjuryObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TraumaInjuryObservationOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TraumaInjuryObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TraumaInjuryObservationOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
