<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4134
Name: FAST Befunde freie Flüssigkeit
Description: Findings from Focused assessment with ultrasonography for trauma (procedure) - freie Flüssigkeit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4134-2017-02-21T000000">
   <title>FAST Befunde freie Flüssigkeit</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]"
         id="d120e7115-false-d122165e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']])&gt;=1">(FASTfindingsfreefluid): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']])&lt;=1">(FASTfindingsfreefluid): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]"
         id="d120e7146-false-d122189e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="string(@classCode)=('OBS')">(FASTfindingsfreefluid): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="string(@moodCode)=('EVN')">(FASTfindingsfreefluid): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4134'])&gt;=1">(FASTfindingsfreefluid): Element hl7:templateId[@root='1.2.276.0.76.10.4134'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4134'])&lt;=1">(FASTfindingsfreefluid): Element hl7:templateId[@root='1.2.276.0.76.10.4134'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:id)&gt;=1">(FASTfindingsfreefluid): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:id)&lt;=1">(FASTfindingsfreefluid): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(FASTfindingsfreefluid): Element hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(FASTfindingsfreefluid): Element hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:text)&lt;=1">(FASTfindingsfreefluid): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(FASTfindingsfreefluid): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(FASTfindingsfreefluid): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(FASTfindingsfreefluid): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(FASTfindingsfreefluid): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:templateId[@root='1.2.276.0.76.10.4134']
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:templateId[@root='1.2.276.0.76.10.4134']"
         id="d120e7152-false-d122276e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindingsfreefluid): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4134')">(FASTfindingsfreefluid): Der Wert von @root MUSS '1.2.276.0.76.10.4134' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:id
Item: (FASTfindingsfreefluid)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:code[(@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d120e7159-false-d122305e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindingsfreefluid): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="@nullFlavor or (@code='X-FASTFF' and @codeSystem='2.16.840.1.113883.6.1')">(FASTfindingsfreefluid): Der Elementinhalt MUSS einer von 'code 'X-FASTFF' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:text
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:text"
         id="d120e7165-false-d122325e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindingsfreefluid): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:reference)&gt;=1">(FASTfindingsfreefluid): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="count(hl7:reference)&lt;=1">(FASTfindingsfreefluid): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:text/hl7:reference
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:text/hl7:reference"
         id="d120e7170-false-d122351e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindingsfreefluid): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d120e7173-false-d122365e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindingsfreefluid): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="@nullFlavor or (@code='completed')">(FASTfindingsfreefluid): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4134
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:value[not(@nullFlavor)]
Item: (FASTfindingsfreefluid)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]/hl7:value[not(@nullFlavor)]"
         id="d120e7178-false-d122385e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4134-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindingsfreefluid): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
</pattern>
